Creating bulk invoices

Use the following endpoint to create a bulk invoice:

  • POST /claim/v1/bulk-invoices

Required fields

The following field is required to create a minimal bulk invoice:
  • payeeAddressBookUID: This string represents the identifier for the payee for the bulk invoice.

You must specify a payeeAddressBookUID in the request body to specify a payee for the bulk invoice.

Minimal bulk invoice

The following request includes only the one required field, payeeAddressBookUID, to create a bulk invoice:

Command

POST /claim/v1/bulk-invoices

Request

{
    "data": {
        "attributes": {
            "payeeAddressBookUID": "ab:1"
        }
    }
}

Response

When the request is successful, the API responds with the created bulk invoice, along with its details:

{
    "data": {
        "attributes": {
            "approvalStatus": {
                "code": "unapproved",
                "name": "Unapproved"
            },
            "approvedReportingAmount": {
                "amount": "0.00",
                "currency": "usd"
            },
            "approvedTransactionAmount": {
                "amount": "0.00",
                "currency": "usd"
            },
            "bulkInvoiceTotal": "0.00",
            "currency": {
                "code": "usd",
                "name": "USD"
            },
            "deliveryMethod": {
                "code": "send",
                "name": "Send"
            },
            "id": "xc:Syx-MtCYILGg3eHSHAQY_",
            "payee": {
                "addressBookUID": "ab:1",
                "authorizationID": "Sc9srn3wXG-ANV-P8KQYH",
                "cellPhone": {
                    "countryCode": {
                        "code": "US",
                        "name": "United States (1)"
                    },
                    "displayName": "818-557-2317",
                    "number": "8185572317"
                },
                "displayName": "Stan Newton",
                "emailAddress1": "0000@guidewire.com",
                "emailAddress2": "0000@hotmail.com",
                "firstName": "Stan",
                "id": "cc:S54i6oW1_DqyhTctctmvk",
                "lastName": "Newton",
                "primaryAddress": {
                    "addressBookUID": "xc:SMivQw5rnAvmvB_V79C8X",
                    "addressLine1": "1253 Paloma Ave",
                    "addressType": {
                        "code": "home",
                        "name": "Home"
                    },
                    "city": "Arcadia",
                    "country": "US",
                    "displayName": "1253 Paloma Ave, Arcadia, CA 91007",
                    "id": "xc:SIXl3-16P7Hd9iwq9Ly_Y",
                    "postalCode": "91007",
                    "state": {
                        "code": "CA",
                        "name": "California"
                    }
                },
                "primaryPhone": "818-446-1206",
                "primaryPhoneType": {
                    "code": "work",
                    "name": "Work"
                },
                "subtype": {
                    "code": "Person",
                    "name": "Person"
                },
                "taxId": "123-45-6790",
                "workPhone": {
                    "displayName": "818-446-1206",
                    "number": "8184461206"
                }
            },
            "payeeAddressBookUID": "ab:1",
            "paymentMethod": {
                "code": "check",
                "name": "Check"
            },
            "receivedDate": "2026-03-10T00:00:00.000Z",
            "reportability": {
                "code": "reportable",
                "name": "Reportable"
            },
            "requestingUser": {
                "displayName": "Super User",
                "id": "default_data:1",
                "type": "User",
                "uri": "/admin/v1/users/default_data:1"
            },
            "scheduledSendDate": "2026-03-10T00:00:00.000Z",
            "splitEqually": false,
            "status": {
                "code": "draft",
                "name": "Draft"
            },
            "totalReportingAmount": {
                "amount": "0.00",
                "currency": "usd"
            },
            "totalTransactionAmount": {
                "amount": "0.00",
                "currency": "usd"
            },
            "valid": false
        }
    }
}

Typical bulk invoice

A typical bulk invoice would include more details than only the payeeAddressBookUID, such as a human-readable invoiceNumber, the paymentMethod, and more. For example, the following request creates a typical bulk invoice for the same payee:

Command

POST /claim/v1/bulk-invoices

Request

{
    "data": {
        "attributes": {
            "payeeAddressBookUID": "ab:1",
            "invoiceNumber": "bulk-invoice-test",
            "bulkInvoiceTotal": "1000.00",
            "paymentMethod": {
                "code": "eft"
            },
            "splitEqually": true
        }
    }
}

Response

{
    "data": {
        "attributes": {
            "approvalStatus": {
                "code": "unapproved",
                "name": "Unapproved"
            },
            "approvedReportingAmount": {
                "amount": "0.00",
                "currency": "usd"
            },
            "approvedTransactionAmount": {
                "amount": "0.00",
                "currency": "usd"
            },
            "bulkInvoiceTotal": "1000.00",
            "currency": {
                "code": "usd",
                "name": "USD"
            },
            "deliveryMethod": {
                "code": "send",
                "name": "Send"
            },
            "id": "cc:SdLxd3WOhsS0mT2Vi1XEu",
            "invoiceNumber": "bulk-invoice-test",
            "payee": {
                "addressBookUID": "ab:1",
                "authorizationID": "Sc9srn3wXG-ANV-P8KQYH",
                "cellPhone": {
                    "countryCode": {
                        "code": "US",
                        "name": "United States (1)"
                    },
                    "displayName": "818-557-2317",
                    "number": "8185572317"
                },
                "displayName": "Stan Newton",
                "emailAddress1": "0000@guidewire.com",
                "emailAddress2": "0000@hotmail.com",
                "firstName": "Stan",
                "id": "cc:S-74ySEYxu-Y_Dg43J-c7",
                "lastName": "Newton",
                "primaryAddress": {
                    "addressBookUID": "cc:SMivQw5rnAvmvB_V79C8X",
                    "addressLine1": "1253 Paloma Ave",
                    "addressType": {
                        "code": "home",
                        "name": "Home"
                    },
                    "city": "Arcadia",
                    "country": "US",
                    "displayName": "1253 Paloma Ave, Arcadia, CA 91007",
                    "id": "cc:SB_DaCCvIjzD9IGCK9WXy",
                    "postalCode": "91007",
                    "state": {
                        "code": "CA",
                        "name": "California"
                    }
                },
                "primaryPhone": "818-446-1206",
                "primaryPhoneType": {
                    "code": "work",
                    "name": "Work"
                },
                "subtype": {
                    "code": "Person",
                    "name": "Person"
                },
                "taxId": "123-45-6790",
                "workPhone": {
                    "displayName": "818-446-1206",
                    "number": "8184461206"
                }
            },
            "payeeAddressBookUID": "ab:1",
            "paymentMethod": {
                "code": "eft",
                "name": "Electronic funds transfer"
            },
            "receivedDate": "2026-03-10T00:00:00.000Z",
            "reportability": {
                "code": "reportable",
                "name": "Reportable"
            },
            "requestingUser": {
                "displayName": "Super User",
                "id": "default_data:1",
                "type": "User",
                "uri": "/admin/v1/users/default_data:1"
            },
            "scheduledSendDate": "2026-03-10T00:00:00.000Z",
            "splitEqually": true,
            "status": {
                "code": "draft",
                "name": "Draft"
            },
            "totalReportingAmount": {
                "amount": "0.00",
                "currency": "usd"
            },
            "totalTransactionAmount": {
                "amount": "0.00",
                "currency": "usd"
            },
            "valid": false
        }
    }
}